Bug 851304 - SSSD's default ccache location needs to be updated (again), and the man pages should reflect it
Summary: SSSD's default ccache location needs to be updated (again), and the man pages...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 786957
TreeView+ depends on / blocked
 
Reported: 2012-08-23 18:08 UTC by Nalin Dahyabhai
Modified: 2020-05-02 16:58 UTC (History)
5 users (show)

Fixed In Version: sssd-1.9.0-18.fc19.beta6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-12 09:45:31 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2542 None None None 2020-05-02 16:58:22 UTC

Description Nalin Dahyabhai 2012-08-23 18:08:48 UTC
Description of problem:
For the sake of packages which follow the advice currently given at https://fedoraproject.org/wiki/Features/KRB5CacheMove, SSSD should switch from creating DIR:/run/user/${UID}/ccdir to creating DIR:/run/user/${UID}/krb5cc.  The sssd-krb5(5) man page should also reflect the defaults that we're putting in place.

Version-Release number of selected component (if applicable):
sssd-1.9.0-17.fc18.beta6

How reproducible:
Always

Steps to Reproduce:
1. Log in using pam_sss for authentication.
2. Use "klist" to check where your credentials have been stored.
3. Check if nfs-utils (see bug #833024 for patch and discussion) and cifs-utils (bug #848223) can find your credentials.
  
Actual results:
Both are currently being asked to switch (or have switched) to effectively globbing using "krb5cc*" to find FILE: and DIR: ccaches where they previously used "krb5cc_*" as a glob for FILE: ccaches, so a ccache named "ccdir" isn't going to be found.

Expected results:
Both cifs.upcall and rpc.gssd can find the ccache that SSSD creates.

Comment 1 Jakub Hrozek 2012-08-24 14:35:20 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1500

Comment 2 Fedora Update System 2012-08-30 18:03:51 UTC
freeipa-3.0.0-0.5.fc18, sssd-1.9.0-19.fc18.beta6 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-12551/freeipa-3.0.0-0.5.fc18,sssd-1.9.0-19.fc18.beta6

Comment 3 Fedora Update System 2012-08-31 04:50:44 UTC
Package freeipa-3.0.0-0.5.fc18, sssd-1.9.0-19.fc18.beta6:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-3.0.0-0.5.fc18 sssd-1.9.0-19.fc18.beta6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12551/freeipa-3.0.0-0.5.fc18,sssd-1.9.0-19.fc18.beta6
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-09-07 19:39:59 UTC
Package freeipa-3.0.0-0.5.fc18, sssd-1.9.0-21.fc18.beta7:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-3.0.0-0.5.fc18 sssd-1.9.0-21.fc18.beta7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12551/freeipa-3.0.0-0.5.fc18,sssd-1.9.0-21.fc18.beta7
then log in and leave karma (feedback).

Comment 5 Jakub Hrozek 2013-02-12 09:45:31 UTC
This bug was fixed a long time ago. The bodhi request it linked against was just never pushed to stable (the request dates back to Sep 2012).


Note You need to log in before you can comment on or make changes to this bug.